<template>
  <div class="wrap">
    <button @click="this.changeName">我要改名字了</button>
    <p>我的名字：{{name}}</p>
    <Child1/>
  </div>
</template>

<script>
import Child1 from './Child1'
export default {
  name: 'Parent1',
  // 非响应式
  provide(){
    return{
      name:this.name
    }
  },
  components:{
    Child1
  },
  data () {
    return {
      name:'Parent1'
    }
  },
  methods:{
    changeName() {
      this.name = '我是非响应式的注入';
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
